Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010776Dwarf FortressGeneralpublic2018-05-29 14:242018-06-13 19:35
ReporterAnon 
Assigned ToLoci 
PriorityhighSeveritycrashReproducibilityalways
StatusconfirmedResolutionopen 
PlatformPCOSWindows 10OS Version1803
Product Version0.44.10 
Target VersionFixed in Version 
Summary0010776: Reproducible, unavoidable crash few minutes after starting save and unpausing game
DescriptionI have played on a fortress for several hours before it started crashing every time at somewhat the same point. My save is just a couple of minutes before the crash.
I used the Lazy Newb starter Pack, so I suspected that the crash has something to do with it.
However even after putting the save into a fresh vanilla installation of DF, nothing changed.
There are no squads on the move.
The error log doesn't help at all as far as I can tell.
The region has been existing since around 43.01, however the fort has only been recently unretired.
Retiring and unretiring the fortress doesn't fix the crash. The fort still crashes about as quickly as in the first save.
Abandoning the fortress and reclaiming it fixes the crash. For a while. But after around one ingame year, the same crash pattern comes back.
I was able to play the fortress for quite some time before the crash started appearing.

I have not tried playing on another fortress yet. Though I suspect that the same error doesn't happen in a fresh location (I really like this fortress here though).
If the crash stays the same in other locations, then one would have to play for a few hours before something happens.
Steps To ReproduceLoad save from http://dffd.bay12games.com/file.php?id=13788 [^] , unpause the fortress and wait a couple of minutes for the game to just silently close.

You can also load the save from http://dffd.bay12games.com/file.php?id=13789 [^] , unpause the fortress and wait until the end of December for a crash. This savegame is at the same fortress, but abandoned and reclaimed.
Additional InformationError log: http://dffd.bay12games.com/file.php?id=13790 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0038448)
Houst (reporter)
2018-06-08 19:49
edited on: 2018-06-12 08:47

I've got this problem as well, I'm running on DF 0.44.09 though, also with the lazy newbie pack. Also I'm on windows 7 64 bits, here's an upload of my save.

http://dffd.bay12games.com/file.php?id=13814 [^]
MANAGER'S NOTE: DFHack crash only, ignore this save

The crash should happen in seconds, less than a minute unpaused.

(0038449)
PatrikLundell (reporter)
2018-06-09 03:16

Houst's save crashes as described for me as well using 0.44.10 on Windows 10.1 with DFHack.

Anon's first save crashed after just over 5 minutes for me.
(0038457)
Anon (reporter)
2018-06-11 12:45
edited on: 2018-06-12 00:59

After some testing, I conclude that Houst's save does not have the same crashing bug as I do, since it only crashes on the Lazy Newbie Pack, but not on a vanilla installion. I played on vanilla for like half an ingame year or something without crash.

I also had it play just fine for a while when playing without DFHack, but later on it started suddenly crashing reliably there too. Then it stopped crashing again. No idea what's going on there.
It /always/ crashes on DFHack though. And /never/ on vanilla.


On a different note, I noticed that on some vanilla installations of DF, my save (not Houst's) can take up to 20 minutes to finally crash, while on others, it only takes 10 seconds. However it always takes roughly the same time on every individual installation once it is established.

(0038458)
Loci (manager)
2018-06-11 15:19

I was able to play Houst's save through the caravan arrival on several attempts using vanilla v0.44.10.

Anon's original save, however, did crash on my vanilla v0.44.10 install.
(0038461)
lethosor (manager)
2018-06-12 08:43
edited on: 2018-06-12 10:12

Reminder sent to: Houst

Houst, your save (http://dffd.bay12games.com/file.php?id=13814 [^]) is crashing solely due to the "autogems" DFHack plugin, as far as I can tell. It crashes instantly for me in a dev build of DFHack (after 0.44.10-r1), but it might crash within a day for you. Running "unload autogems" allows the save to continue running for some time, and "load autogems" and "enable autogems" causes it to crash within a day.

In the future, do not report issues here unless you have verified that they occur without third-party utilities like DFHack.

Edit: DFHack report, for reference: https://github.com/DFHack/dfhack/issues/1303 [^]

Edit 2: fixed in DFHack. You can fix it temporarily by removing furnace links from the stockpiles linked to your jeweler's workshops. Our Windows build machine is down, so I'm not sure if I can provide a fixed plugin to you, unfortunately.

(0038462)
Houst (reporter)
2018-06-13 19:35
edited on: 2018-06-13 19:36

I will try that. My apologies for the false positive.


- Issue History
Date Modified Username Field Change
2018-05-29 14:24 Anon New Issue
2018-05-29 16:57 Anon Issue Monitored: Anon
2018-05-29 16:57 Anon Issue End Monitor: Anon
2018-06-08 19:49 Houst Note Added: 0038448
2018-06-09 03:16 PatrikLundell Note Added: 0038449
2018-06-11 12:45 Anon Note Added: 0038457
2018-06-11 15:19 Loci Note Added: 0038458
2018-06-11 15:19 Loci Assigned To => Loci
2018-06-11 15:19 Loci Status new => confirmed
2018-06-12 00:59 Anon Note Edited: 0038457 View Revisions
2018-06-12 08:32 lethosor Note Edited: 0038448 View Revisions
2018-06-12 08:43 lethosor Issue Monitored: Houst
2018-06-12 08:43 lethosor Note Added: 0038461
2018-06-12 08:47 lethosor Note Edited: 0038461 View Revisions
2018-06-12 08:47 lethosor Note Edited: 0038448 View Revisions
2018-06-12 10:12 lethosor Note Edited: 0038461 View Revisions
2018-06-13 19:35 Houst Note Added: 0038462
2018-06-13 19:36 Houst Note Edited: 0038462 View Revisions


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker